package net.sf.javaprinciples.data.transformer;

/**
 * Bean factory to create Model Element Mapper Builders.
 *
 * @author Warwick Slade
 */
public interface ModelElementMapperBuilderBeanFactory<T extends ModelElementMapper>
{
    public ModelElementMapperBuilder<T> createModelElementMapperBuilder(String beanName);
}
